Foxit PDF SDK

Instance Methods | Properties | List of all members
FSCustomEncryptData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithIs_encrypt_metadata:filter:sub_filter:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another custom encrypt data object. More...
(void) | - set:filter:sub_filter:
| Set value. More...

## Properties
NSString * | filter
| The filter name of a custom security callback object. It should not be an empty string.
BOOL | is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. YES means to encrypt metadata, and NO means not to encrypt metadata.
NSString * | sub_filter
| The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## Detailed Description

This class represents some data used for class FSCustomSecurityHandler .

## Method Documentation

## ◆ initWithIs_encrypt_metadata:filter:sub_filter:()

- (id) initWithIs_encrypt_metadata: |  | (BOOL) | is_encrypt_metadata
filter: |  | (NSString *) | filter
sub_filter: |  | (NSString *) | sub_filter

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | YES means to encrypt metadata, and NO means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSCustomEncryptData*) | other |

Constructor, with another custom encrypt data object.

Parameters

  [in] | other | Another custom encrypt data object.

## ◆ set:filter:sub_filter:()

- (void) set: |  | (BOOL) | is_encrypt_metadata
filter: |  | (NSString *) | filter
sub_filter: |  | (NSString *) | sub_filter

Set value.

Parameters

  [in] | is_encrypt_metadata | YES means to encrypt metadata, and NO means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

Returns
  None.